# $Revision: 1.63.2.2 $, $Date: 2003/03/23 23:59:15 $
# conditional build
# _without_dist_kernel          without kernel from distribution

Summary:	Advanced Linux Sound Architecture (ALSA) - Drivers
Summary(pl):	Advanced Linux Sound Architecture (ALSA) - Sterowniki
Name:		alsa-driver
Version:	0.5.12a
%define	_rel	18
Release:	%{_rel}
License:	GPL
Group:		Base/Kernel
Source0:	ftp://ftp.alsa-project.org/pub/driver/%{name}-%{version}.tar.bz2
Patch0:		%{name}-make.patch
Patch1:		%{name}-guscapture.patch
Patch2:		%{name}-awacs.patch
URL:		http://www.alsa-project.org/
%{!?_without_dist_kernel:BuildRequires:	kernel-headers}
BuildRequires:	autoconf
BuildRequires:	flex
BuildRequires:	libstdc++-devel
BuildRequires:	modutils
BuildRequires:	ncurses-devel
BuildRequires:	%{kgcc_package}
BuildConflicts:	alsa-lib <= 0.4.0
ExcludeArch:	sparc
ExcludeArch:	sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc
%define         __cc            %{kgcc}

%description
Advanced Linux Sound Architecture driver. Driver is fully compatible
with OSS/Lite, but contains many enhanced features. ALSA is for 2.2
and 2.4 kernels. If you get "unresolved symbol(s)" when inserting
modules then get src package and recompile it.

%description -l pl
Sterownik kart dwikowych Advanced Linux Sound Architecture.
Sterownik ten jest w peni kompatybilny z OSS/Lite ale zawiera
znacznie wicej ulepsze. ALSA jest przeznaczona zarwno dla kerneli
2.2.x jak i 2.4.x Jeli podczas prby zaadowania moduw dostaniesz
"unresolved symbol(s)" to cignij rdowy pakiet i przekompiluj go.

%package -n kernel-sound-alsa
Summary:	Advanced Linux Sound Architecture (ALSA) - Drivers
Summary(pl):	Advanced Linux Sound Architecture (ALSA) - Sterowniki
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_up}
Provides:	alsa
Provides:	alsa-driver
Obsoletes:	alsa-driver-smp
Obsoletes:	alsa
Obsoletes:	alsa-driver
Obsoletes:	alsa-driver-up

%description -n kernel-sound-alsa
Advanced Linux Sound Architecture driver. Driver is fully compatible
with OSS/Lite, but contains many enhanced features. ALSA is for 2.2
and 2.4 kernels. If you get "unresolved symbol(s)" when inserting
modules then get src package and recompile it.

%description -n kernel-sound-alsa -l pl
Sterownik kart dwikowych Advanced Linux Sound Architecture.
Sterownik ten jest w peni kompatybilny z OSS/Lite ale zawiera
znacznie wicej ulepsze. ALSA jest przeznaczona zarwno dla kerneli
2.2.x jak i 2.4.x. Jeli podczas prby zaadowania moduw dostaniesz
"unresolved symbol(s)" to cignij rdowy pakiet i przekompiluj go.

%package -n kernel-smp-sound-alsa
Summary:	Advanced Linux Sound Architecture (ALSA) - SMP Drivers
Summary(pl):	Advanced Linux Sound Architecture (ALSA) - Sterowniki SMP
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
Provides:	alsa
Provides:	alsa-driver
Obsoletes:	alsa-driver-smp
Obsoletes:	alsa
Obsoletes:	alsa-driver

%description -n kernel-smp-sound-alsa
Advanced Linux Sound Architecture driver. Driver is fully compatible
with OSS/Lite, but contains many enhanced features. ALSA is for 2.2
and 2.4 kernels. If you get "unresolved symbol(s)" when inserting
modules then get src package and recompile it.

%description -n kernel-smp-sound-alsa -l pl
Sterownik kart dwikowych Advanced Linux Sound Architecture.
Sterownik ten jest w peni kompatybilny z OSS/Lite ale zawiera
znacznie wicej ulepsze. ALSA jest przeznaczona zarwno dla kerneli
2.2.x jak i 2.4.x. Jeli podczas prby zaadowania moduw dostaniesz
"unresolved symbol(s)" to cignij rdowy pakiet i przekompiluj go.

%package devel
Summary:	Advanced Linux Sound Architecture (ALSA) - header files
Summary(pl):	Advanced Linux Sound Architecture (ALSA) - pliki nagowkowe
Group:		Development/Libraries

%description devel
Advanced Linux Sound Architecture (ALSA) - header files.

%description devel -l pl
Advanced Linux Sound Architecture (ALSA) - pliki nagwkowe.

%prep
%setup -q -n alsa-driver-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__autoconf}
%configure \
	--with-processor=%{_target_cpu} \
	--with-kernel=%{_kernelsrcdir} \
	--with-smp=yes \
	--with-isapnp=no \
	--with-sequencer=yes \
	--with-debug=detect \
	--with-oss=yes

%{__make}
%{__make} install-modules  \
	moddir=./smp_modulles
%{__make} mrproper
%configure \
	--with-processor=%{_target_cpu} \
	--with-kernel=%{_kernelsrcdir} \
	--with-smp=no \
	--with-isapnp=no \
	--with-sequencer=yes \
	--with-debug=detect \
	--with-oss=yes

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}{,smp}/misc \
	$RPM_BUILD_ROOT%{_includedir}/linux

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	moddir=$RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc

install ./smp_modulles/* $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc

%post   -n kernel-sound-alsa
/sbin/depmod -a

%postun -n kernel-sound-alsa
/sbin/depmod -a

%post   -n kernel-smp-sound-alsa
/sbin/depmod -a

%postun -n kernel-smp-sound-alsa
/sbin/depmod -a

%clean
rm -rf $RPM_BUILD_ROOT

%files -n kernel-sound-alsa
%defattr(644,root,root,755)
%doc FAQ INSTALL README doc/SOUNDCARDS WARNING
%doc %attr(744,root,root) snddevices
%attr(600,root,root) /lib/modules/%{_kernel_ver}/misc/*

%files -n kernel-smp-sound-alsa
%defattr(644,root,root,755)
%doc FAQ INSTALL README doc/SOUNDCARDS WARNING
%doc %attr(744,root,root) snddevices
%attr(600,root,root) /lib/modules/%{_kernel_ver}smp/misc/*

%files devel
%defattr(644,root,root,755)
%attr(644,root,root) %{_includedir}/linux/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: alsa-driver.spec,v $
Revision 1.63.2.2  2003/03/23 23:59:15  blues
- release 18; rebuild with 2.2.25

Revision 1.63.2.1  2002/11/02 14:02:20  ankry
- rel. 17 (rebuild against 2.2.22-4)

Revision 1.63  2002/10/12 12:53:43  marcus
- rel.16. (for kernel 2.2.22-3)

Revision 1.62  2002/10/02 17:14:42  marcus
- rel.15
- use new %%doc
- fixed %%files

Revision 1.61  2002/09/30 15:53:39  kloczek
- release 14: rebuild against kernel 2.2.22.

Revision 1.60  2002/09/15 19:38:27  kloczek
- release 13: rebuild against kernel 2.2.21-7.

Revision 1.59  2002/08/18 17:31:08  kloczek
- release 12: rebuild against kernel 2.2.21.

Revision 1.58  2002/05/21 23:12:40  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.57  2002/04/25 15:43:25  arturs
fixed a small typo

Revision 1.56  2002/04/12 23:37:28  kloczek
- release 11.

Revision 1.55  2002/04/12 22:51:54  marcus
- fix for PPC

Revision 1.54  2002/03/18 21:44:18  misiek
- use proper compiler; release 10

Revision 1.53  2002/03/18 20:05:10  misiek
- wrong place

Revision 1.51  2002/03/17 16:06:24  dzimi

- update release numbers to build with new kernel release

Revision 1.50  2002/03/13 16:33:56  mkochano
- Typos.

Revision 1.49  2002/03/04 22:35:34  marcus
- use new macros (ver-rel)
- removed smp/up obsoletes
- rel.8.

Revision 1.48  2002/03/03 22:36:35  marcus
- build against 2.2.20-12, rel.7

Revision 1.47  2002/02/26 15:37:12  qboosh
- use requires_releq_kernel_{up,smp} macros, release 6

Revision 1.46  2002/02/23 21:43:58  saq
- change Conflicts: wrong-kernel to Requires: right-kernel
- release 5, STBR

Revision 1.45  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.44  2002/02/20 13:14:57  wiget
typo

Revision 1.43  2002/02/11 01:27:57  kloczek
- adapterized.

Revision 1.42  2002/02/10 18:56:05  marcus
- some cleanups, rel 4. (for rebuild with 2.2.20-10 and new 2.4)

Revision 1.41  2002/02/02 19:54:16  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.40  2002/01/18 02:12:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.39  2002/01/10 14:16:42  kloczek
- release 3.

Revision 1.38  2002/01/07 23:56:01  alchemyx
- Obsoletes: alsa-driver-up

Revision 1.37  2001/12/22 11:02:46  marcus
- fixed release of SMP package
- s/2.3/2.4/g
- release 2, STBR

Revision 1.36  2001/12/18 20:50:19  kloczek
- start try reorganize spec file for generate in ione pass two subpackages
  with kernel modules (for up and smp) - probably it is finished but need
  testing and maybe need some discuss on pld-devel-*@.

Revision 1.35  2001/12/17 08:39:49  juandon
- commented opt patch
- don't gzip snddevices
- depmod -F /boot/System.map in post

Revision 1.34  2001/12/01 17:51:53  aflinta
- updated to version 0.5.12a

Revision 1.33  2001/11/14 08:37:01  filon
- added _without_dist_kernel option

Revision 1.32  2001/11/06 13:45:31  mkierus
- updated to 0.5.12

Revision 1.31  2001/10/28 14:08:43  arekmat
- added Provides: alsa-driver

Revision 1.30  2001/10/15 14:22:44  qboosh
- added empty base backage to remove junk from .src.rpm name

Revision 1.29  2001/09/20 16:17:11  saq
- new kernel module naming scheme
- s/-/_/g in @... release suffix

Revision 1.28  2001/08/18 23:32:15  mkochano
- Release 3.
- Use %%configure2_13 --- without this there are unresolved symbols in
  modules.
- Call to depmod moved from %%preun to %%postun.

Revision 1.27  2001/08/15 20:28:27  saq
- using %%_kernelsrcdir
- renamed to alsa-driver, smp option in release now
- conflicts kernel-smp or -up
- release 2
- STB

Revision 1.26  2001/08/09 14:04:32  agaran
added modutils to buildreq

Revision 1.25  2001/07/26 16:50:25  saq
- don't use macros not available in standard rpm. Define them in the spec.
(_kernel_ver, _kernel24)

Revision 1.24  2001/07/25 11:50:53  wiget
2in1 - to build SMP version do 'rpm -bb --with smp'
for RFC only

Revision 1.39  2001/07/24 22:49:10  saq
- removed %%define _kernel_ver -- already in macros.pld (use
SOURCES/rpm.macros if you don't have the package yet)

Revision 1.38  2001/07/24 21:45:56  mkochano
- Definition of macro _kernel_ver moved to top of the file. Macros has
  to be defined before they are used.

Revision 1.37  2001/07/24 17:20:54  bszx
- added patch which fixes broken recording on gus classic

Revision 1.36  2001/07/23 22:22:52  saq
A group commit:
- %%define _kernel_ver and _kernel24 removed (already in rpm.macros)
- kernel modules get a @%{_kernel_ver} release suffix and conflict wrong
kernel version
- other packages get a @%{_kernel_series} release suffix and conflict
wrong kernel series
- need a rebuilt RPM to build these

Revision 1.35  2001/05/26 23:16:50  kloczek
- updated to 0.5.11.
